$InputBorder: #CCC;
$InputRadius: 25px;
$Padding: 15px;
$PaddingBot: 10px;
$marginBot: 23px;
$FontSizeTitleInput: 18px;
$ColorTitleInput: #332a29;
$BgBtnCancel: #b3adad;
$BgBtnNext: #46b38b;
$ColorBtn: #fff;
$bg-line: #1f1f1f;
$border-color: #ddd;
$color-step-active: #ef4b4c;
$bg-step-header: #f5f5f5;

@mixin border-radius($value) {
	-webkit-border-radius: $value;
	-moz-border-radius: $value;
	border-radius: $value;
}

@mixin topCenter($value) {
	-webkit-transform: translateY($value);
	-moz-transform: translateY($value);
	-ms-transform: translateY($value);
	-o-transform: translateY($value);
	transform: translateY($value);
}
.n-step-box {
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
	background: transparent !important;
}
.n-step-header {
	padding: 0 60px;
	position: relative;
	background: $bg-step-header;
	height: auto;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
	> ::before {
		content: '';
		background: $bg-line;
		height: 4px;
		width: 100%;
		position: absolute;
		left: 0;
		top: 50%;
		@include topCenter(-50%);
	}
	.n-step-header-content {
		width: 100%;
		display: flex;
		text-align: center;
		position: relative;

		.n-step {
			display: inline-block;
			span {
				display: none;
			}

			> div {
				background: $ColorBtn;
				padding: 5px 0px;
				width: 240px;
				text-align: center;
				align-items: center;
				border: 1px solid $border-color;
				@include border-radius(5px);
				font-size: 18px;
				color: $ColorTitleInput;
				-webkit-box-shadow: 1px 1px 6px -4px #000;
				-moz-box-shadow: 1px 1px 6px -4px #000;
				box-shadow: 1px 1px 6px -4px #000;
			}

			&.v-stepper__step--active {
				> div {
					background: $color-step-active;
					color: $ColorBtn;
				}
			}
		}
		.n-divider {
			border: none;
		}
	}
}

a.v-list__tile {
	&:hover {
		text-decoration: none;
	}
}
.select.v-text-field.v-text-field--solo .v-input__control {
	min-height: 40px;
}
.n-input {
	.mdc-notched-outline__leading,
	.mdc-notched-outline__trailing,
	.mdc-notched-outline__notch {
		border-color: #ccc !important;
	}

	.mdc-floating-label {
		font-size: 16px;
		color: #4d4949;
	}
}
.v-text-field.v-text-field--enclosed .v-text-field__details, .v-text-field.v-text-field--enclosed>.v-input__control>.v-input__slot {
	padding: 0 15px;
}

.n-play-btn, .n-pause-btn {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(31, 31, 31, 0.5) url(../../../assets/images/icons/play-icon.png) center center no-repeat;
	z-index: 10;
	cursor: pointer;
	display: none;
	-webkit-transition: all 0.5s;
	-moz-transition: all 0.5s;
	-ms-transition: all 0.5s;
	-o-transition: all 0.5s;
	transition: all 0.5s;
}
.n-pause-btn {
	background: rgba(31, 31, 31, 0.5) url(../../../assets/images/icons/pause-icon.png) center center no-repeat;
	display: none;
}
